
From: "Martin J. Bligh" <mbligh@aracnet.com>

We're in the idle section, so we should flag the load balance as idle.
Ooops. Pointed out by John Hawkes



 kernel/sched.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sched.c~sched_idle-typo-fix kernel/sched.c
--- 25/kernel/sched.c~sched_idle-typo-fix	2003-04-08 20:37:51.000000000 -0700
+++ 25-akpm/kernel/sched.c	2003-04-08 20:39:04.000000000 -0700
@@ -1130,7 +1130,7 @@ static void rebalance_tick(runqueue_t *t
 #endif
 		if (!(j % IDLE_REBALANCE_TICK)) {
 			spin_lock(&this_rq->lock);
-			load_balance(this_rq, 0, cpu_to_node_mask(this_cpu));
+			load_balance(this_rq, idle, cpu_to_node_mask(this_cpu));
 			spin_unlock(&this_rq->lock);
 		}
 		return;

_
